Bug 1318079 - [PATCH] Thinkpad T460s Touchpad Quirk
Summary: [PATCH] Thinkpad T460s Touchpad Quirk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 01:15 UTC by Warren Togami
Modified: 2016-04-08 20:20 UTC (History)
8 users (show)

Fixed In Version: kernel-4.5.0-302.fc24 kernel-4.4.6-301.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-02 15:53:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 114321 None None None 2016-03-16 01:15:31 UTC

Description Warren Togami 2016-03-16 01:15:31 UTC
Description of problem:
https://bugzilla.kernel.org/show_bug.cgi?id=114321
Quote upstream bug, "For the new Lenovo T460s, the kernel always reports both a press and a release event for the physical Trackpoint mouse buttons (above the touchpad), even if the button is pressed and held down. A tap-and-hold on the touchpad works as expected. ... This prevents, for example, drag and drop to work unless you use the touchpad to hold the click."

Version-Release number of selected component (if applicable):
kernel-4.4.5-300.fc23.x86_64

Patch in upstream bug seems to fix this issue.

Comment 1 Laura Abbott 2016-03-16 19:26:46 UTC
The note from Benjamin Tissoires on the bug was that he wants the patch accepted from the upstream maintainer first. I'm okay with bringing the patch in whenever he thinks it is ready.

Comment 2 Benjamin Tissoires 2016-03-17 08:10:49 UTC
I would prefer we give upstream a few days before integrating it in Fedora. Not that I am not confident in the change, but just because there might be something I overlooked, and/or, someone might complain about anything.

Comment 3 Benjamin Tissoires 2016-03-18 06:18:02 UTC
The patch has been accepted upstream:
https://git.kernel.org/cgit/linux/kernel/git/dtor/input.git/commit/?h=next&id=82be788c96ed5978d3cb4a00079e26b981a3df3f

Laura, please feel free to take it at your earlier convenience. Thanks!

Comment 4 Laura Abbott 2016-03-21 17:36:14 UTC
Brought it in. Should show up with the 4.4.7 release.

Comment 5 Fedora Update System 2016-03-31 15:58:29 UTC
kernel-4.4.6-301.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e602c0e5e

Comment 6 Fedora Update System 2016-03-31 16:02:12 UTC
kernel-4.4.6-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed5110c4bb

Comment 7 Fedora Update System 2016-04-01 01:55:42 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed5110c4bb

Comment 8 Fedora Update System 2016-04-01 15:23:03 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e602c0e5e

Comment 9 Fedora Update System 2016-04-01 20:57:05 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81fd1b03aa

Comment 10 Fedora Update System 2016-04-02 00:43:59 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-02 15:51:51 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-08 15:52:13 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-08 20:20:02 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.